Subject: [Shop-talk] Weber Kettle rotisserie?

From: Mark J Bradakis <[email-masked]>
Date: Tue, 11 Aug 2020 18:06:39 -0600

I really like my 22" Weber Kettle charcoal grill. Lately I've been 
wondering whether or not it would be worth it to get a rotisserie 
adapter for it? It's basically a ring the size of the kettle that fits 
on top of it, and the lid fits on top of that. It has a big skewer, a 
couple of rotisserie forks and an electric motor.

I've made it to this point in my grilling life without one, is it 
actually worth spending money on it? Any real life experience?

https://youtu.be/ozzUParaBlk

mjb.

_______________________________________________

[email-masked]
Archive: http://www.team.net/pipermail/shop-talk http://autox.team.net/archive